body.woocommerce-account {

	main {
		margin: 0 !important;
	}

	.woocommerce {
		margin-bottom: 60px;

		h1,
		h2 {
			font-size: var(--wp--preset--font-size--4-xl);
			line-height: 1.3;
			font-weight: 650;
			text-align: center;
		}

		h1 {
			margin-bottom: 40px;
		}

		h2 {
			margin-bottom: 45px;
			padding-top: 50px;
		}

		&.woocommerce-lost-password h1 {
			font-size: var(--wp--preset--font-size--4-xl);
			line-height: 1.3;
			font-weight: 650;
			text-align: center;
		}

		&::before {
			content: none;
		}
	}

	.form-row {
		margin-bottom: 20px;
		display: flex;
		flex-wrap: wrap;
		flex-direction: column;
		padding: 0;

		select,
		.input-text {
			border: 2px solid;
			border-color: var(--wp--preset--color--slate-200);
			border-radius: 14px;
			padding: 14px 40px 14px 18px !important;
			color: var(--wp--preset--color--slate-600);
			font-size: var(--wp--preset--font-size--base) !important;
		}
	}

	.woocommerce-form-login__submit,
	.woocommerce-form-register__submit {
		border: 2px solid;
		border-color: var(--wp--preset--color--blue-700);
	}

	.form-row label {
		font-size: var(--wp--preset--font-size--base);
		color: var(--wp--preset--color--slate-900);
		line-height: 1.5;
		font-weight: 525;
	}

	form.login,
	form.register {
		border: none;
		margin: 0;
		padding: 0;
	}

	form .show-password-input {
		right: 18px;

		&::before {
			width: 18px;
			height: 18px;
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M16.9357 7.34052C15.1007 6.26379 12.9638 5.81721 10.8512 6.06897C10.3028 6.13432 9.80527 5.74273 9.73991 5.19433C9.67456 4.64592 10.0661 4.14837 10.6146 4.08302C13.1607 3.77959 15.7363 4.31783 17.9478 5.61556C20.1594 6.9133 21.8855 8.89919 22.8625 11.27C22.867 11.2809 22.8713 11.2919 22.8754 11.303C23.0421 11.752 23.0421 12.246 22.8754 12.695C22.8712 12.7062 22.8669 12.7173 22.8623 12.7283C22.4606 13.7022 21.9298 14.6176 21.284 15.45C20.9454 15.8863 20.3172 15.9656 19.8809 15.6271C19.4445 15.2885 19.3653 14.6604 19.7038 14.224C20.2323 13.5429 20.668 12.7946 20.9996 11.999C20.1867 10.0465 18.7603 8.41122 16.9357 7.34052Z' fill='%230F172B'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M10.5367 9.19673C10.934 9.58041 10.945 10.2135 10.5613 10.6107C10.197 10.9879 9.9954 11.4931 9.99995 12.0175C10.0045 12.5419 10.2148 13.0435 10.5857 13.4144C10.9565 13.7852 11.4581 13.9955 11.9825 14.0001C12.5069 14.0046 13.0121 13.803 13.3893 13.4387C13.7866 13.055 14.4196 13.0661 14.8033 13.4633C15.187 13.8606 15.176 14.4936 14.7787 14.8773C14.0243 15.6059 13.0139 16.0091 11.9651 16C10.9163 15.9909 9.91308 15.5702 9.17145 14.8286C8.42982 14.0869 8.00914 13.0837 8.00003 12.0349C7.99092 10.9861 8.39409 9.97571 9.12273 9.2213C9.5064 8.82405 10.1395 8.81305 10.5367 9.19673Z' fill='%230F172B'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M7.36766 5.9981C7.64982 6.47287 7.49368 7.08648 7.01892 7.36864C5.21588 8.44023 3.80675 10.0645 3.00027 12C3.5334 13.2795 4.33326 14.4307 5.34665 15.3768C6.36879 16.3311 7.58425 17.0543 8.91054 17.4974C10.2368 17.9406 11.6429 18.0932 13.0334 17.945C14.4239 17.7968 15.7662 17.3513 16.9694 16.6386C17.4445 16.3572 18.0579 16.5142 18.3394 16.9894C18.6209 17.4645 18.4638 18.0779 17.9887 18.3594C16.5388 19.2183 14.9211 19.7552 13.2453 19.9338C11.5696 20.1123 9.87511 19.9284 8.27676 19.3943C6.6784 18.8603 5.21363 17.9887 3.98181 16.8387C2.74999 15.6887 1.77996 14.2872 1.13753 12.7292C1.133 12.7182 1.12866 12.7072 1.12452 12.696C0.957841 12.247 0.957841 11.753 1.12452 11.304C1.12866 11.2929 1.133 11.2818 1.13753 11.2708C2.10664 8.92063 3.8118 6.94815 5.99711 5.64937C6.47188 5.3672 7.08549 5.52334 7.36766 5.9981Z' fill='%230F172B'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M1.29289 1.29289C1.68342 0.902369 2.31658 0.902369 2.70711 1.29289L22.7071 21.2929C23.0976 21.6834 23.0976 22.3166 22.7071 22.7071C22.3166 23.0976 21.6834 23.0976 21.2929 22.7071L1.29289 2.70711C0.902369 2.31658 0.902369 1.68342 1.29289 1.29289Z' fill='%230F172B'/%3E%3C/svg%3E");
		}
	}

	form .show-password-input.display-password::before {
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 18 18' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M10.5459 10.3304C10.9502 10.2405 11.3509 10.4955 11.4407 10.8999L11.9822 13.3374C12.072 13.7417 11.817 14.1423 11.4127 14.2322C11.0083 14.322 10.6077 14.067 10.5179 13.6627L9.97638 11.2252C9.88655 10.8208 10.1415 10.4202 10.5459 10.3304Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M1.24292 5.29543C1.63204 5.15344 2.06258 5.35377 2.20458 5.74289C2.71312 7.13649 3.63782 8.34003 4.85337 9.19042C6.06892 10.0408 7.51654 10.4969 9.00002 10.4969C10.4835 10.4969 11.9311 10.0408 13.1467 9.19042C14.3622 8.34003 15.2869 7.13649 15.7955 5.74289C15.9375 5.35377 16.368 5.15344 16.7571 5.29543C17.1462 5.43743 17.3466 5.86798 17.2046 6.25709C16.5906 7.93966 15.4741 9.39278 14.0065 10.4195C12.5389 11.4462 10.7911 11.9969 9.00002 11.9969C7.20892 11.9969 5.46113 11.4462 3.99352 10.4195C2.52591 9.39278 1.40945 7.93966 0.795465 6.25709C0.653472 5.86798 0.853805 5.43743 1.24292 5.29543Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M13.2225 9.13875C13.5393 8.87197 14.0125 8.91257 14.2792 9.22943L15.5737 10.7669C15.8405 11.0838 15.7999 11.5569 15.4831 11.8237C15.1662 12.0905 14.6931 12.0499 14.4263 11.733L13.1318 10.1955C12.865 9.87867 12.9056 9.40553 13.2225 9.13875Z' fill='%230F172B'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M4.77757 9.13875C5.09443 9.40553 5.13502 9.87867 4.86824 10.1955L3.57374 11.733C3.30696 12.0499 2.83383 12.0905 2.51697 11.8237C2.20011 11.5569 2.15951 11.0838 2.42629 10.7669L3.72079 9.22943C3.98757 8.91257 4.46071 8.87197 4.77757 9.13875Z' fill='%230F172B'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M7.45413 10.3304C7.85848 10.4202 8.11346 10.8208 8.02363 11.2252L7.48213 13.6627C7.3923 14.067 6.99168 14.322 6.58733 14.2322C6.18297 14.1423 5.928 13.7417 6.01783 13.3374L6.55933 10.8999C6.64916 10.4955 7.04977 10.2405 7.45413 10.3304Z' fill='%230F172B'/%3E%3C/svg%3E");
	}

	.lost_reset_password p.form-row,
	.woocommerce-form-register__submit,
	.woocommerce-form-login__submit {
		width: 100%;
	}

	.woocommerce-form-login__rememberme {
		padding: 4px 0 13px;

		input[type="checkbox"] {
			-webkit-appearance: none;
			appearance: none;
			width: 18px;
			height: 18px;
			border: 2px solid  var(--wp--preset--color--slate-300);
			border-radius: 6px;
			background-color: #fff;
			cursor: pointer;
			margin: 2px 8px 2px 0;
			vertical-align: top;
		}

		input[type="checkbox"]:checked {
			background-color: #fff;
			border-color: var(--wp--preset--color--slate-200);
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='11' height='11' viewBox='0 0 11 11' fill='none'%3E%3Cpath d='M0.900024 5.40015L3.90002 9.15015L9.90002 0.900146' stroke='%231D293D' stroke-width='1.8' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
			background-repeat: no-repeat;
			background-position: center;
			background-size: 8px 8px;
		}
	}

	.woocommerce-form-login__rememberme span,
	.woocommerce-privacy-policy-text p {
		font-size: var(--wp--preset--font-size--base);
		color: var(--wp--preset--color--slate-600);
		line-height: 1.5;
		font-weight: 400;
	}

	a.woocommerce-privacy-policy-link,
	.lost_password a {
		color: var(--wp--preset--color--blue-600);
		font-size: var(--wp--preset--font-size--base);
		font-weight: 500;
	}

	.woocommerce-privacy-policy-text {
		padding-bottom: 12px;
	}

	div#password_strength {
		margin-top: 15px;
		border-radius: 3px;
	}

	.u-column2.col-2 {

		@media (min-width: 769px) {
			width: 53%;
		}

		@media (min-width: 768px) {
			padding: 80px !important;
		}

		box-sizing: border-box;
		padding: 25px 25px;
		color: var(--wp--preset--color--white);
		background: var(--wp--preset--color--slate-800);
		border-radius: 16px;

		.woocommerce-privacy-policy-text p,
		.form-row label {
			color: var(--wp--preset--color--slate-200);
		}

		.woocommerce-privacy-policy-text p {
			font-size: var(--wp--preset--font-size--small);
		}

		.input-text {
			background-color: var(--wp--preset--color--white);
			border-color: var(--wp--preset--color--slate-200);
		}

		.input-text::placeholder {
			color: var(--wp--preset--color--slate-500);
		}

		.woocommerce-form-register__submit {
			border-color: var(--wp--preset--color--blue-700);
			background-color: var(--wp--preset--color--blue-600);
			color: var(--wp--preset--color--white);
		}

		.woocommerce-form-register__submit:hover {
			background-color: var(--wp--preset--color--blue-700);
		}
	}

	.woocommerce .col2-set .col-1 {
		margin-bottom: 50px;

		@media (min-width: 769px) {
			width: 40%;
		}
	}

	form.lost_reset_password,
	.woocommerce > .login {
		max-width: 400px;
		margin: 0 auto;
	}

	form.lost_reset_password button {
		border: 2px solid var(--wp--preset--color--blue-700);
	}

	form .form-row .input-text:focus,
	form .form-row select:focus {
		box-shadow: 0 0 0 3px var(--wp--preset--color--slate-200);
		border: 1px solid var(--wp--preset--color--slate-600);
		outline: none;
		height: 54px;
	}

	form.register .form-row .input-text:focus,
	form.register .form-row select:focus {
		box-shadow: 0 0 0 3px var(--wp--preset--color--slate-700);
		border: 1px solid var(--wp--preset--color--slate-200);
	}

	.woocommerce-MyAccount-content {

		table.my_account_orders th {
			padding: 8px 8px;
		}

		a.woocommerce-button.button.view {
			margin-bottom: 0 !important;
			padding: 10px;
		}

		.woocommerce-Addresses {
			margin-top: 30px;
		}

		h2 {
			padding-top: 0;
		}

		.u-column2.col-2 {
			padding: 30px !important;
			background-color: transparent;
			color: var(--wp--preset--color--slate-800);
			padding-top: 20px !important;
		}

		.select2-container .select2-selection {
			border: 2px solid var(--wp--preset--color--slate-200);
			border-radius: 14px;
		}
	}

	.select2-container--open .select2-dropdown--below,
	.select2-container--open .select2-dropdown--above {
		border: 2px solid var(--wp--preset--color--slate-200);
	}

	.select2-container--open .select2-dropdown--below {
		top: -7px;
		border-top: 0;
		border-radius: 0 0 14px 14px;
	}

	.select2-container--open .select2-dropdown--above {
		border-radius: 14px 14px 0 0;
		border-bottom: 0;
		top: 12px;
	}

	@media (max-width: 768px) {

		tr.woocommerce-orders-table__row {
			margin-bottom: 20px;
		}

		.woocommerce-orders-table__cell-order-date {
			border-top: 0 !important;
		}
	}

	.woocommerce-Address {

		address {
			font-size: 14px;
		}
	}

	&.logged-in {

		main {
			background-color: #f6f9fc;
		}

		.woocommerce-Address-title {

			h2 {
				font-size: 25px;
				text-align: left;
				margin-bottom: 30px;
			}
		}

		@media (min-width: 769px) {

			.woocommerce {
				gap: 20px;
				display: grid;
				grid-template-columns: repeat(12, minmax(0, 1fr));
			}

			.woocommerce-MyAccount-navigation {
				grid-column: span 3 / span 3;
				width: initial;

				ul {
					margin-bottom: 0;
				}
			}

			.woocommerce-MyAccount-content {
				grid-column: span 7 / span 7;
				background-color: #fff;
				padding: 40px;
				width: 100%;
				border-radius: 24px;
			}
		}
	}

	&:not(.logged-in) {

		.wp-block-post-title {
			display: none;
		}
	}

	footer {
		margin-top: 0;
	}

	.woocommerce-MyAccount-navigation ul {
		border-radius: 8px;
		overflow: hidden;
	}

	.woocommerce-MyAccount-navigation li {
		background-color: var(--wp--preset--color--slate-700);
		color: #fff;
		padding: 0 !important;

		&.is-active {
			background-color: var(--wp--preset--color--slate-800);
		}

		a {
			padding: 20px 30px;
			display: block;
			text-decoration: none !important;
			font-weight: 500;
		}
	}
}

body.woocommerce-account .woocommerce-MyAccount-content .u-column2.col-2 h2 {
	margin: 0;
	margin-bottom: 45px;
	padding: 0;
}

body.woocommerce-account.logged-in .woocommerce-Address-title a {
	font-size: 14px;
}

body.woocommerce-account.logged-in .woocommerce-Address-title a::before {
	content: "+";
}

body.woocommerce-account .u-column2.col-2 .woocommerce-privacy-policy-text p a {
	color: var(--wp--preset--color--slate-200);
	font-size: var(--wp--preset--font-size--small);
}
